Subject: Re: bug#47146: 27.0.50; Unexpected indentation for pcase forms in emacs-lisp-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 18 Mar 2021 06:46:01 +0100

Markus Triska <[email-masked]> writes:

> Starting Emacs with:
>
>     $ emacs -Q
>
> I get the following indentation:
>
>     (defun word (arg)
>       (pcase arg
>         ('love
>          'amour)
>         ('always
>          'toujours)
>         ('if
>             'si)
>         ('emacs
>          'emacs)))

I guess `lisp-indent-calc-next' is interpreting the "('if" as if it were
"(if"?

I must admit I have some difficulties in following the logic in that
function, perhaps Stefan has some insights here (added to CCs).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no